/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.location.rule;

import io.swagger.annotations.ApiModel;
import java.io.Serial;
import java.io.Serializable;
import java.util.Set;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/12 9:46
 */
@ApiModel("批量修改配置报警类别的报警规则")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AlarmRuleBatchModifyParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -9160183461478867656L;

    private Set<LocationAlarmRuleModifyParam> params;
}
