/* (C) 2022 YiRing, Inc. */
package com.yiring.app.util;

import com.alibaba.fastjson.JSONArray;
import com.yiring.app.constant.RedisKey;
import com.yiring.app.vo.map.MapVo;
import com.yiring.common.core.Redis;
import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Component;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/17 16:58
 */
@Component
public class MapUtil {

    @Resource
    private Redis redis;

    public String getMapName(Integer mapId) {
        Object map = redis.get(RedisKey.ZY_MAP_AREAS);
        String mapString = JSONArray.toJSONString(map);
        List<MapVo.MapVoReuslt> mapVo = JSONArray.parseArray(mapString, MapVo.MapVoReuslt.class);
        for (MapVo.MapVoReuslt item : mapVo) {
            if (item.getId().equals(mapId)) {
                return item.getName();
            }
        }
        return "未知地图";
    }
}
